clang 10.0.0git

ModelConsumer.cpp File Reference

This file implements an ASTConsumer for consuming model files. More...

`#include "clang/StaticAnalyzer/Frontend/ModelConsumer.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclGroup.h"`
Include dependency graph for ModelConsumer.cpp:

Go to the source code of this file.

## Detailed Description

This file implements an ASTConsumer for consuming model files.

This ASTConsumer handles the AST of a parsed model file. All top level function definitions will be collected from that model file for later retrieval during the static analysis. The body of these functions will not be injected into the ASTUnit of the analyzed translation unit. It will be available through the BodyFarm which is utilized by the AnalysisDeclContext class.

Definition in file ModelConsumer.cpp.